package de.intevation.gnv.state;

import de.intevation.gnv.geobackend.base.Result;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;


/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultAutoResumeState extends StateBase implements AutoResumeState  {



    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -4470531390092041577L;

    /**
     * Constructor
     */
    public DefaultAutoResumeState() {
        super();
    }

    /**
     * @see de.intevation.gnv.state.StateBase#purifyResult(java.util.Collection, java.lang.String)
     */
    @Override
    protected List<Object> purifyResult(Collection<Result> result, String uuid) {
        return new ArrayList<Object>(0);
    }

    @Override
    protected String[] getDescriptionForInputData(InputData data, String uuid) {
        return new String[0];
    }


}
